# Rx-Suite/Hub
*  Always Installed
*  Manages the list of installed modules
   *  Module Name
   *  Module ID
   *  Module URL
   *  Module Icon
   *  Module Status (Online/Offline)
*  Allows other Rx-Suite Modules to communicate with each other
   *  Other module requests by Module ID, Endpoint, Provided Arguments
   *  Does this forward the request or does it give the caller the info it needs to make the request itself?

## Required Endpoints
*  List of installed modules
*  Message another module
  
## Required Front End Functionality
*  List of installed modules
*  List of modules the user could install if they paid us
*  Info page for each module

Rx-Suite/Updates

Always installed
Shows available updates for each installed module
On request, downloads updates/patches
On request, provides downloaded update files to Rx-Suite modules.

The module itself chooses how to apply the update




Required Endpoints

List of available updates for a particular module ID

Version #
Date published
Has been downloaded?
Release Notes
Minimum/Maximum required versions of other Rx-Suite modules if applicable

e.g. Conveyor Router 4.7.0 requires >= Scanner Service 3.9.2




Apply update for a particular module ID
Download a particular update from our servers


Required Front End Functionality

Update List
View specific update info

Download
Apply


Status of update in process (pending/success/error)
Tells module to generate a notification that an update is available
Configure update check frequency
Schedule an update for later